using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace NostrServices.Database.Configuration;

public class RelayConfiguration : IEntityTypeConfiguration<Relay>
{
    public void Configure(EntityTypeBuilder<Relay> builder)
    {
        builder.HasKey(a => a.Id);
        builder.Property(a => a.Url)
            .IsRequired();

        builder.Property(a => a.FirstSeen)
            .IsRequired();

        builder.Property(a => a.LastSeen)
            .IsRequired();

        builder.Property(a => a.IsAnyCast)
            .IsRequired();
    }
}
