namespace NostrServices.Database;

public class Relay
{
    public Guid Id { get; init; } = Guid.NewGuid();

    public Uri Url { get; init; } = null!;

    public DateTime FirstSeen { get; init; } = DateTime.UtcNow;
    
    public DateTime LastSeen { get; init; }
    
    /// <summary>
    /// If this relay uses any cast IPs which will naturally obscure its location
    /// </summary>
    public bool IsAnyCast { get; init; }
}
