using Microsoft.EntityFrameworkCore;

namespace NostrServices.Database;

public class NostrServicesContext : DbContext
{
    public NostrServicesContext()
    {
    }

    public NostrServicesContext(DbContextOptions<NostrServicesContext> ctx) : base(ctx)
    {
    }

    public DbSet<Relay> Relays => Set<Relay>();
    
    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.ApplyConfigurationsFromAssembly(typeof(NostrServicesContext).Assembly);
    }
}
